Subject: Re: linux-next: manual merge of the block tree with the mm-stable tree

From: Matthew Wilcox <[email-masked]>
Date: Mon, 1 Jun 2026 18:44:04 +0100

On Mon, Jun 01, 2026 at 05:58:58PM +0100, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   mm/page_io.c
> 
> between commit:
> 
>   d590df11be0f1 ("mm/page_io: rename swap_iocb fields for clarity")
> 
> from the mm-stable tree and commit:
> 
>   ca36c1aaee095 ("block: Add bvec_folio()")
> 
> from the block tree.

Thanks; your resolution is clearly correct.  If it'd be easier, we can
just drop the hunk touching mm/page_io.c from the block tree and I can
submit a separate patch next merge window to the mm tree.  But the
resolution seems straightforward enough that maybe just keep it.